
QGIS Application - Bug report #16495

Creating a join freezes QGIS master if target layer attributes table is open

2017-05-02 09:05 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24401

Description

This regressed since 2.14, were it was not an issue.

Associated revisions

Revision 3289d614 - 2017-05-12 04:39 PM - Matthias Kuhn 

Fix freeze when joining with table open

Fix #16495

Revision 07cef67e - 2017-11-07 03:03 PM - Matthias Kuhn 

Fix freeze when joining with table open

Fix #16495

History

#1 - 2017-05-12 03:35 PM - Matthias Kuhn

Pull request open https://github.com/qgis/QGIS/pull/4544

#2 - 2017-05-12 04:39 PM - Anonymous

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|3289d61407ea6f70f845385d3e8a1a708851b779.

#3 - 2017-05-12 04:40 PM - Giovanni Manghi

- Resolution set to fixed/implemented

#4 - 2017-09-25 11:04 AM - stefano campus

Master version is still affected.
https://github.com/qgis/QGIS/pull/4544


QGIS: 2.99.0-173

Version: 8902d5f48f

#5 - 2017-09-25 12:22 PM - Giovanni Manghi

- Subject changed from Creating a join freezes QGIS 2.18/master if target layer attributes table is open to Creating a join freezes QGIS master if target 

layer attributes table is open

- Status changed from Closed to Open

- Affected QGIS version changed from 2.18.7 to master

- Resolution deleted (fixed/implemented)

stefano campus wrote:

Master version is still affected.

QGIS: 2.99.0-173

Version: 8902d5f48f

Confirmed.

#6 - 2017-11-07 03:03 PM - Anonymous

- Status changed from Open to Closed

Applied in changeset commit:qgis|07cef67eadf6f63970175dfe8588703e57c41f72.

Files

join_QGIS.zip 10.9 KB 2017-05-02 Giovanni Manghi
